import { createElement, Fragment, Suspense, lazy } from 'react';

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

var Inspect = /*#__PURE__*/lazy(function () {
  return import('./inspx.esm.undefined.js');
});
function Loader(_ref) {
  var _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? process.env.NODE_ENV !== 'development' : _ref$disabled,
      props = _objectWithoutPropertiesLoose(_ref, ["disabled"]);

  if (disabled || typeof window === 'undefined') {
    return createElement(Fragment, null, props.children);
  }

  return createElement(Suspense, {
    fallback: null
  }, createElement(Inspect, Object.assign({}, props)));
}

export { Loader as L, _extends as _ };
//# sourceMappingURL=index.esm.undefined.js.map
