'use strict';

var React = require('react');

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

var Inspect = /*#__PURE__*/React.lazy(function () {
  return new Promise(function (resolve) { resolve(require('./inspx.cjs.development.js')); });
});
function Loader(_ref) {
  var _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? "development" !== 'development' : _ref$disabled,
      props = _objectWithoutPropertiesLoose(_ref, ["disabled"]);

  if (disabled || typeof window === 'undefined') {
    return React.createElement(React.Fragment, null, props.children);
  }

  return React.createElement(React.Suspense, {
    fallback: null
  }, React.createElement(Inspect, Object.assign({}, props)));
}

exports.Loader = Loader;
exports._extends = _extends;
//# sourceMappingURL=index.cjs.development.js.map
